<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.prepare.harmonic.mapper.mysql.newalgorithm.RStatOrgBusbarVoltageDPOMapper">
  <resultMap id="BaseResultMap" type="com.njcn.prepare.harmonic.pojo.mysql.po.RStatOrgBusbarVoltageDPO">
    <!--@mbg.generated-->
    <!--@Table r_stat_org_busbar_voltage_d-->
    <id column="org_no" jdbcType="VARCHAR" property="orgNo" />
    <id column="data_date" jdbcType="DATE" property="dataDate" />
    <id column="busbar_id" jdbcType="VARCHAR" property="busbarId" />
    <result column="measurement_count" jdbcType="INTEGER" property="measurementCount" />
    <result column="v_count" jdbcType="INTEGER" property="vCount" />
    <result column="v_ratio" jdbcType="REAL" property="vRatio" />
    <result column="unbalance_count" jdbcType="INTEGER" property="unbalanceCount" />
    <result column="unbalance_ratio" jdbcType="REAL" property="unbalanceRatio" />
    <result column="flicker_count" jdbcType="INTEGER" property="flickerCount" />
    <result column="flicker_ratio" jdbcType="REAL" property="flickerRatio" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    org_no, data_date, busbar_id, measurement_count, v_count, v_ratio, unbalance_count, 
    unbalance_ratio, flicker_count, flicker_ratio
  </sql>
</mapper>